$(document).ready(function() {
    load(1);
});


function load(page) {
    var q = $("#q").val();
    $("#loader").fadeIn('slow');
    $.ajax({
        url: './ajax/buscar_datos.php?action=ajax&page=' + page + '&q=' + q,
        beforeSend: function(objeto) {
            $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success: function(data) {
            $(".outer_div").html(data).fadeIn('slow');
            $('#loader').html('');
        }
    })
}


$("#CotizacionPlan").submit(function(event) {
    $('#guardar_plan').attr("disabled", true);

    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "ajax/cotizacion_plan.php",
        data: parametros,
        beforeSend: function(objeto) {
            $("#resultados_ajax_viaje").html("Mensaje: Cargando...");
        },
        success: function(datos) {
            $("#resultados_ajax_viaje").html(datos);
            $('#guardar_datos').attr("disabled", false);
            load(1);
            alert("guardado");
            location.reload();
        }
    });
    event.preventDefault();
})


$("#CotizacionVuelos").submit(function(event) {
    $('#guardar_vuelos').attr("disabled", true);

    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "ajax/cotizacion_vuelos.php",
        data: parametros,
        beforeSend: function(objeto) {
            $("#resultados_ajax_viaje").html("Mensaje: Cargando...");
        },
        success: function(datos) {
            $("#resultados_ajax_viaje").html(datos);
            $('#guardar_datos').attr("disabled", false);
            load(1);
            alert("guardado");
            location.reload();
        }
    });
    event.preventDefault();
})


$("#CotizacionHospedaje").submit(function(event) {
    $('#guardar_hospedaje').attr("disabled", true);

    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "ajax/cotizacion_hospedaje.php",
        data: parametros,
        beforeSend: function(objeto) {
            $("#resultados_ajax_viaje").html("Mensaje: Cargando...");
        },
        success: function(datos) {
            $("#resultados_ajax_viaje").html(datos);
            $('#guardar_datos').attr("disabled", false);
            load(1);
            alert("guardado");
            location.reload();
        }
    });
    event.preventDefault();
})


$("#CotizacionPasadia").submit(function(event) {
    $('#guardar_pasadia').attr("disabled", true);

    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "ajax/cotizacion_pasadia.php",
        data: parametros,
        beforeSend: function(objeto) {
            $("#resultados_ajax_viaje").html("Mensaje: Cargando...");
        },
        success: function(datos) {
            $("#resultados_ajax_viaje").html(datos);
            $('#guardar_datos').attr("disabled", false);
            load(1);
            alert("guardado");
            location.reload();
        }
    });
    event.preventDefault();
})


$("#CotizacionPlanSistema").submit(function(event) {
    $('#guardar_sistema').attr("disabled", true);

    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "ajax/cotizacion_sistema.php",
        data: parametros,
        beforeSend: function(objeto) {
            $("#resultados_ajax_viaje").html("Mensaje: Cargando...");
        },
        success: function(datos) {
            $("#resultados_ajax_viaje").html(datos);
            $('#guardar_datos').attr("disabled", false);
            load(1);
            alert("guardado");
            location.reload();
        }
    });
    event.preventDefault();
})